<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta content="text/html; charset=UTF-8" http-equiv="content-type" />
<title>ProtonMail</title>
</head>
<body>
<table cellpadding="1" cellspacing="1" border="1">
<thead>
<tr><td rowspan="1" colspan="3">TC-6 Sign in with valid credentials</td></tr>
</thead>
<tbody>
<tr><td>open</td><td>https://account.protonmail.com/login<datalist><option>https://account.protonmail.com/login</option></datalist></td><td></td></tr>
<tr><td>click</td><td>id=username<datalist><option>id=username</option><option>xpath=//input[@id='username']</option><option>xpath=//input</option><option>css=#username</option></datalist></td><td></td></tr>
<tr><td>type</td><td>id=username<datalist><option>id=username</option><option>xpath=//input[@id='username']</option><option>xpath=//input</option><option>css=#username</option></datalist></td><td>martwy.ptak</td></tr>
<tr><td>click</td><td>id=password<datalist><option>id=password</option><option>xpath=//input[@id='password']</option><option>xpath=//div[2]/div/input</option><option>css=#password</option></datalist></td><td></td></tr>
<tr><td>type</td><td>id=password<datalist><option>id=password</option><option>xpath=//input[@id='password']</option><option>xpath=//div[2]/div/input</option><option>css=#password</option></datalist></td><td>graotron</td></tr>
<tr><td>click</td><td>xpath=//button[@type='submit']<datalist><option>xpath=//button[@type='submit']</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Dowiedz się więcej'])[1]/following::button[1]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Utwórz konto'])[1]/preceding::button[1]</option><option>xpath=//form/button</option><option>css=button.button-henlo.button-large.button-solid-norm.w100.mt1-75</option></datalist></td><td></td></tr>
<tr><td>waitForVisible</td><td>xpath=(.//*[normalize-space(text()) and normalize-space(.)='New message'])[1]/following::span[2]<datalist><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='New message'])[1]/following::span[2]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Open navigation'])[2]/following::span[2]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Drafts'])[1]/preceding::span[3]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Sent'])[1]/preceding::span[6]</option><option>xpath=//*/text()[normalize-space(.)='Inbox']/parent::*</option><option>xpath=//a/span/span</option><option>css=span.flex-item-fluid.text-ellipsis.max-w100</option></datalist></td><td></td></tr>
<tr><td>click</td><td>xpath=(.//*[normalize-space(text()) and normalize-space(.)='martwy.ptak@protonmail.com'])[1]/following::span[2]<datalist><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='martwy.ptak@protonmail.com'])[1]/following::span[2]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='martwy.ptak'])[1]/following::span[3]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Open navigation'])[2]/preceding::span[1]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='New message'])[1]/preceding::span[2]</option><option>xpath=//*/text()[normalize-space(.)='M']/parent::*</option><option>xpath=//span[2]/span</option><option>css=span.mtauto.mbauto.center</option></datalist></td><td></td></tr>
<tr><td>assertText</td><td>xpath=//div[@id='dropdown-5']/div[2]/ul/li/div/div[2]/span<datalist><option>xpath=//div[@id='dropdown-5']/div[2]/ul/li/div/div[2]/span</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='martwy.ptak'])[2]/following::span[1]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Close'])[1]/following::span[1]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Copy email to clipboard'])[1]/preceding::span[1]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Proton introduction'])[1]/preceding::span[2]</option><option>xpath=//div[2]/span</option><option>css=span.text-ellipsis.user-select.color-weak</option></datalist></td><td>martwy.ptak@protonmail.com</td></tr>
<tr><td>click</td><td>xpath=//div[@id='dropdown-5']/div[2]/ul/li[8]/div/button/span<datalist><option>xpath=//div[@id='dropdown-5']/div[2]/ul/li[8]/div/button/span</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Switch account'])[1]/following::span[1]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Proton shop'])[1]/following::span[1]</option><option>xpath=//*/text()[normalize-space(.)='Sign out']/parent::*</option><option>xpath=//li[8]/div/button/span</option><option>css=button.button-henlo.button-solid-norm.w100.flex.flex-justify-center.flex-align-items-center &gt; span.mr0-5</option></datalist></td><td></td></tr>
<tr><td>assertText</td><td>xpath=(.//*[normalize-space(text()) and normalize-space(.)='English'])[1]/following::strong[1]<datalist><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='English'])[1]/following::strong[1]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='to continue to ProtonMail'])[1]/preceding::strong[1]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Email or username'])[1]/preceding::strong[1]</option><option>xpath=//*/text()[normalize-space(.)='Sign in']/parent::*</option><option>xpath=//strong</option><option>css=strong</option></datalist></td><td>Sign in</td></tr>
</tbody></table>
<table cellpadding="1" cellspacing="1" border="1">
<thead>
<tr><td rowspan="1" colspan="3">TC-8 Sign in with invalid credentials - valid username and invalid password</td></tr>
</thead>
<tbody>
<tr><td>open</td><td>https://account.protonmail.com/login<datalist><option>https://account.protonmail.com/login</option></datalist></td><td></td></tr>
<tr><td>click</td><td>id=username<datalist><option>id=username</option><option>xpath=//input[@id='username']</option><option>xpath=//input</option><option>css=#username</option></datalist></td><td></td></tr>
<tr><td>type</td><td>id=username<datalist><option>id=username</option><option>xpath=//input[@id='username']</option><option>xpath=//input</option><option>css=#username</option></datalist></td><td>martwy.ptak</td></tr>
<tr><td>click</td><td>id=password<datalist><option>id=password</option><option>xpath=//input[@id='password']</option><option>xpath=//div[2]/div/input</option><option>css=#password</option></datalist></td><td></td></tr>
<tr><td>type</td><td>id=password<datalist><option>id=password</option><option>xpath=//input[@id='password']</option><option>xpath=//div[2]/div/input</option><option>css=#password</option></datalist></td><td>valar morghulis</td></tr>
<tr><td>click</td><td>xpath=//button[@type='submit']<datalist><option>xpath=//button[@type='submit']</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Dowiedz się więcej'])[1]/following::button[1]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Utwórz konto'])[1]/preceding::button[1]</option><option>xpath=//form/button</option><option>css=button.button-henlo.button-large.button-solid-norm.w100.mt1-75</option></datalist></td><td></td></tr>
<tr><td>assertText</td><td>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Previous version'])[1]/following::div[2]<datalist><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Previous version'])[1]/following::div[2]</option><option>xpath=//*/text()[normalize-space(.)='Incorrect login credentials. Please try again']/parent::*</option><option>xpath=//div[3]/div</option><option>css=div.p1.mb0-5.break.notification.notification--in.notification-danger</option></datalist></td><td>Incorrect login credentials. Please try again</td></tr>
<tr><td>assertText</td><td>xpath=(.//*[normalize-space(text()) and normalize-space(.)='English'])[1]/following::strong[1]<datalist><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='English'])[1]/following::strong[1]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='to continue to ProtonMail'])[1]/preceding::strong[1]</option><option>xpath=(.//*[normalize-space(text()) and normalize-space(.)='Email or username'])[1]/preceding::strong[1]</option><option>xpath=//*/text()[normalize-space(.)='Sign in']/parent::*</option><option>xpath=//strong</option><option>css=strong</option></datalist></td><td>Sign in</td></tr>
</tbody></table>
</body>
</html>